<html>
<head>
<style>
.hmmessage P
{
margin:0px;
padding:0px
}
body.hmmessage
{
FONT-SIZE: 10pt;
FONT-FAMILY:Tahoma
}
</style>
</head>
<body class='hmmessage'>
<style>.hmmessage P{margin:0px;padding:0px}body.hmmessage{FONT-SIZE: 10pt;FONT-FAMILY:Tahoma}</style>I've read the file as Mehnert suggested.<br>Here are a list of errors.<br><br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/qt/3/include -L/usr/qt/3/lib -lqt-mt -lpthread<br>.tmp_src.cc:2:21: error: qglobal.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'QT_VERSION_STR' was not declared in this scope<br><br><br><br><br>This error repeats itself in whole or part about 19 times.<br><br><br>'# Log file generated by<br>#<br>#&nbsp;&nbsp; './configure '<br>#<br><br>***** Checking environment *****<br>Determined build machine: freebsd.amd64, target machine: freebsd.amd64<br><br><br>***** Checking kBuild *****<br>found<br><br><br>***** Checking gcc *****<br>found version 4.2.1<br><br><br>***** Checking as86 *****<br>found version 0.16.17<br><br><br>***** Checking bcc *****<br>compiling the following source file:<br>int foo(a)<br>&nbsp; int a;<br>{<br>&nbsp; return 0;<br>}<br>using the following command line:<br>bcc -B /usr/bin/ -C-c -3 -S -o .tmp_out .tmp_src.c<br>found version 0.16.17<br><br><br>***** Checking iasl *****<br>found version 20070320<br><br><br>***** Checking xslt *****<br>found<br><br><br>***** Checking pthread *****<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;pthread.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; pthread_mutex_t mutex;<br>&nbsp; if (pthread_mutex_init(&amp;mutex, NULL)) {<br>&nbsp;&nbsp;&nbsp; printf('pthread_mutex_init() failed\n');<br>&nbsp;&nbsp;&nbsp; return 1;<br>&nbsp; }<br>&nbsp; if (pthread_mutex_lock(&amp;mutex)) {<br>&nbsp;&nbsp;&nbsp; printf('pthread_mutex_lock() failed\n');<br>&nbsp;&nbsp;&nbsp; return 1;<br>&nbsp; }<br>&nbsp; if (pthread_mutex_unlock(&amp;mutex)) {<br>&nbsp;&nbsp;&nbsp; printf('pthread_mutex_unlock() failed\n');<br>&nbsp;&nbsp;&nbsp; return 1;<br>&nbsp; }<br>&nbsp; printf('found, OK.\n');<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc '-lpthread'<br>executing the binary<br>found, OK.<br><br><br>***** Checking libxml2 *****<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;libxml/xmlversion.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', LIBXML_DOTTED_VERSION);<br>#if LIBXML_VERSION &gt;= 20626<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.6.26 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc '-L/usr/local/lib -lxml2&nbsp;&nbsp; -lpthread -I/usr/local/include/libxml2 -I/usr/local/include'<br>executing the binary<br>found version 2.6.32, OK.<br><br><br>***** Checking libxslt *****<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;libxslt/xsltconfig.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', LIBXSLT_DOTTED_VERSION);<br>#if LIBXSLT_VERSION &gt;= 10117<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 1.1.17 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc '-L/usr/local/lib -lxslt -lz -liconv -lm -lxml2&nbsp;&nbsp; -lpthread -I/usr/local/include -I/usr/local/include/libxml2'<br>executing the binary<br>found version 1.1.24, OK.<br><br><br>***** Checking libIDL *****<br>found version 0.8.11<br><br><br>***** Checking zlib *****<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;zlib.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', ZLIB_VERSION);<br>#if ZLIB_VERNUM &gt;= 0x1210<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 1.2.1 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc '-lz '<br>executing the binary<br>found version 1.2.3, OK.<br><br><br>***** Checking libpng *****<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;png.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', PNG_LIBPNG_VER_STRING);<br>#if PNG_LIBPNG_VER &gt;= 10205<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 1.2.5 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc '-L/usr/local/lib -lpng -I/usr/local/include'<br>executing the binary<br>found version 1.2.32, OK.<br><br><br>***** Checking SDL *****<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;SDL.h&gt;<br>#include &lt;SDL_main.h&gt;<br>#undef main<br>extern 'C' int main(int argc, char** argv)<br>{<br>&nbsp; printf('found version %d.%d.%d',<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; SDL_MAJOR_VERSION, SDL_MINOR_VERSION, SDL_PATCHLEVEL);<br>#if SDL_VERSION_ATLEAST(1,2,7)<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 1.2.7 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc '-L/usr/local/lib -Wl,-rpath,/usr/local/lib -lSDL -pthread -lSDLmain -I/usr/local/include/SDL -I/usr/local/include '<br>executing the binary<br>found version 1.2.13, OK.<br><br><br>***** Checking X libraries *****<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;X11/Xlib.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Display *dpy;<br>&nbsp; int scrn_num;<br>&nbsp; Screen *scrn;<br>&nbsp; Window win;<br><br>&nbsp; dpy&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; = XOpenDisplay(NULL);<br>&nbsp; scrn_num = DefaultScreen(dpy);<br>&nbsp; scrn&nbsp;&nbsp;&nbsp;&nbsp; = ScreenOfDisplay(dpy, scrn_num);<br>&nbsp; win&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; = XCreateWindow(dpy, RootWindowOfScreen(scrn), 0, 0, 100, 100,<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0, 16, InputOutput, CopyFromParent, 0, NULL);<br>&nbsp; XDestroyWindow(dpy, win);<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc '-L/usr/X11R6/lib -L/usr/X11R6/lib64 -L/usr/local/lib -lXext -lX11 -I/usr/local/include'<br>found<br><br><br>***** Checking Xcursor *****<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;X11/Xlib.h&gt;<br>#include &lt;X11/Xcursor/Xcursor.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; XcursorImage *cursor = XcursorImageCreate (10, 10);<br>&nbsp; XcursorImageDestroy(cursor);<br>&nbsp; return 0;<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc '-L/usr/X11R6/lib -L/usr/X11R6/lib64 -L/usr/local/lib -lXext -lX11 -lXcursor -I/usr/local/include'<br>found<br><br><br>***** Checking Qt3 *****<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;qglobal.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', QT_VERSION_STR);<br>#if QT_VERSION &gt;= 0x030305<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#elif QT_VERSION &gt;= 0x030300<br>&nbsp; printf('\n&nbsp; ** WARNING: QT &lt; 3.3.5 has known problems!\n');<br>#else<br>&nbsp; printf(', expected version 3.3.0 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/qt/3/include -L/usr/qt/3/lib -lqt-mt -lpthread<br>.tmp_src.cc:2:21: error: qglobal.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'QT_VERSION_STR' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;qglobal.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', QT_VERSION_STR);<br>#if QT_VERSION &gt;= 0x030305<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#elif QT_VERSION &gt;= 0x030300<br>&nbsp; printf('\n&nbsp; ** WARNING: QT &lt; 3.3.5 has known problems!\n');<br>#else<br>&nbsp; printf(', expected version 3.3.0 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/qt/3/include -L/usr/qt/3/lib64 -lqt-mt -lpthread<br>.tmp_src.cc:2:21: error: qglobal.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'QT_VERSION_STR' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;qglobal.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', QT_VERSION_STR);<br>#if QT_VERSION &gt;= 0x030305<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#elif QT_VERSION &gt;= 0x030300<br>&nbsp; printf('\n&nbsp; ** WARNING: QT &lt; 3.3.5 has known problems!\n');<br>#else<br>&nbsp; printf(', expected version 3.3.0 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/lib/qt3/include -L/usr/lib/qt3/lib -lqt-mt -lpthread<br>.tmp_src.cc:2:21: error: qglobal.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'QT_VERSION_STR' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;qglobal.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', QT_VERSION_STR);<br>#if QT_VERSION &gt;= 0x030305<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#elif QT_VERSION &gt;= 0x030300<br>&nbsp; printf('\n&nbsp; ** WARNING: QT &lt; 3.3.5 has known problems!\n');<br>#else<br>&nbsp; printf(', expected version 3.3.0 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/lib/qt3/include -L/usr/lib/qt3/lib64 -lqt-mt -lpthread<br>.tmp_src.cc:2:21: error: qglobal.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'QT_VERSION_STR' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;qglobal.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', QT_VERSION_STR);<br>#if QT_VERSION &gt;= 0x030305<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#elif QT_VERSION &gt;= 0x030300<br>&nbsp; printf('\n&nbsp; ** WARNING: QT &lt; 3.3.5 has known problems!\n');<br>#else<br>&nbsp; printf(', expected version 3.3.0 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/lib/qt-3.3/include -L/usr/lib/qt-3.3/lib -lqt-mt -lpthread<br>.tmp_src.cc:2:21: error: qglobal.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'QT_VERSION_STR' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;qglobal.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', QT_VERSION_STR);<br>#if QT_VERSION &gt;= 0x030305<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#elif QT_VERSION &gt;= 0x030300<br>&nbsp; printf('\n&nbsp; ** WARNING: QT &lt; 3.3.5 has known problems!\n');<br>#else<br>&nbsp; printf(', expected version 3.3.0 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/lib/qt-3.3/include -L/usr/lib/qt-3.3/lib64 -lqt-mt -lpthread<br>.tmp_src.cc:2:21: error: qglobal.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'QT_VERSION_STR' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;qglobal.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', QT_VERSION_STR);<br>#if QT_VERSION &gt;= 0x030305<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#elif QT_VERSION &gt;= 0x030300<br>&nbsp; printf('\n&nbsp; ** WARNING: QT &lt; 3.3.5 has known problems!\n');<br>#else<br>&nbsp; printf(', expected version 3.3.0 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/share/qt3/include -L/usr/share/qt3/lib -lqt-mt -lpthread<br>.tmp_src.cc:2:21: error: qglobal.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'QT_VERSION_STR' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;qglobal.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', QT_VERSION_STR);<br>#if QT_VERSION &gt;= 0x030305<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#elif QT_VERSION &gt;= 0x030300<br>&nbsp; printf('\n&nbsp; ** WARNING: QT &lt; 3.3.5 has known problems!\n');<br>#else<br>&nbsp; printf(', expected version 3.3.0 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/share/qt3/include -L/usr/share/qt3/lib64 -lqt-mt -lpthread<br>.tmp_src.cc:2:21: error: qglobal.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'QT_VERSION_STR' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;qglobal.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', QT_VERSION_STR);<br>#if QT_VERSION &gt;= 0x030305<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#elif QT_VERSION &gt;= 0x030300<br>&nbsp; printf('\n&nbsp; ** WARNING: QT &lt; 3.3.5 has known problems!\n');<br>#else<br>&nbsp; printf(', expected version 3.3.0 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/lib64/qt-3.3/include -L/usr/lib64/qt-3.3/lib -lqt-mt -lpthread<br>.tmp_src.cc:2:21: error: qglobal.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'QT_VERSION_STR' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;qglobal.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', QT_VERSION_STR);<br>#if QT_VERSION &gt;= 0x030305<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#elif QT_VERSION &gt;= 0x030300<br>&nbsp; printf('\n&nbsp; ** WARNING: QT &lt; 3.3.5 has known problems!\n');<br>#else<br>&nbsp; printf(', expected version 3.3.0 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/lib64/qt-3.3/include -L/usr/lib64/qt-3.3/lib64 -lqt-mt -lpthread<br>.tmp_src.cc:2:21: error: qglobal.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'QT_VERSION_STR' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;qglobal.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', QT_VERSION_STR);<br>#if QT_VERSION &gt;= 0x030305<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#elif QT_VERSION &gt;= 0x030300<br>&nbsp; printf('\n&nbsp; ** WARNING: QT &lt; 3.3.5 has known problems!\n');<br>#else<br>&nbsp; printf(', expected version 3.3.0 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/X11R6/include -L/usr/X11R6/lib -lqt-mt -lpthread<br>executing the binary<br>found version 3.3.8, OK.<br><br><br>***** Checking Qt3 devtools *****<br>found version 3.3.8<br><br><br>***** Checking Qt4 *****<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;QtGlobal&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; printf('found version %s', QT_VERSION_STR);<br>#if QT_VERSION &gt;= 0x040300<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>&nbsp; printf(', expected version 4.3.0 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc '-pthread -L/usr/local/lib/qt4 -L/usr/local/lib -lQtCore -lz -lm -lgthread-2.0 -lglib-2.0 -liconv&nbsp;&nbsp; -lpthread -I/usr/local/include/qt4 -I/usr/local/include/qt4/QtCore -DQT_SHARED -I/usr/local/include/qt4 -I/usr/local/include/qt4/QtCore&nbsp; '<br>executing the binary (LD_LIBRARY_PATH=/usr/local/lib/qt4 /usr/local/lib)<br>found version 4.4.1, OK.<br><br><br>***** Checking Qt4 devtools *****<br>***** Checking python support *****<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;Python.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Py_Initialize();<br>&nbsp; printf('found version %s', PY_VERSION);<br>#if PY_VERSION_HEX &gt;= 0x02030000<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.3 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/include/python2.5 /usr/lib64/libpython2.5.so<br>g++: /usr/lib64/libpython2.5.so: No such file or directory<br>.tmp_src.cc:2:20: error: Python.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'Py_Initialize' was not declared in this scope<br>.tmp_src.cc:6: error: 'PY_VERSION' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;Python.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Py_Initialize();<br>&nbsp; printf('found version %s', PY_VERSION);<br>#if PY_VERSION_HEX &gt;= 0x02030000<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.3 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/include/python2.5 /usr/lib/64/libpython2.5.so<br>g++: /usr/lib/64/libpython2.5.so: No such file or directory<br>.tmp_src.cc:2:20: error: Python.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'Py_Initialize' was not declared in this scope<br>.tmp_src.cc:6: error: 'PY_VERSION' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;Python.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Py_Initialize();<br>&nbsp; printf('found version %s', PY_VERSION);<br>#if PY_VERSION_HEX &gt;= 0x02030000<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.3 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/include/python2.5 /usr/lib/libpython2.5.so<br>g++: /usr/lib/libpython2.5.so: No such file or directory<br>.tmp_src.cc:2:20: error: Python.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'Py_Initialize' was not declared in this scope<br>.tmp_src.cc:6: error: 'PY_VERSION' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;Python.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Py_Initialize();<br>&nbsp; printf('found version %s', PY_VERSION);<br>#if PY_VERSION_HEX &gt;= 0x02030000<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.3 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/include/python2.4 /usr/lib64/libpython2.4.so<br>g++: /usr/lib64/libpython2.4.so: No such file or directory<br>.tmp_src.cc:2:20: error: Python.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'Py_Initialize' was not declared in this scope<br>.tmp_src.cc:6: error: 'PY_VERSION' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;Python.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Py_Initialize();<br>&nbsp; printf('found version %s', PY_VERSION);<br>#if PY_VERSION_HEX &gt;= 0x02030000<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.3 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/include/python2.4 /usr/lib/64/libpython2.4.so<br>g++: /usr/lib/64/libpython2.4.so: No such file or directory<br>.tmp_src.cc:2:20: error: Python.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'Py_Initialize' was not declared in this scope<br>.tmp_src.cc:6: error: 'PY_VERSION' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;Python.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Py_Initialize();<br>&nbsp; printf('found version %s', PY_VERSION);<br>#if PY_VERSION_HEX &gt;= 0x02030000<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.3 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/include/python2.4 /usr/lib/libpython2.4.so<br>g++: /usr/lib/libpython2.4.so: No such file or directory<br>.tmp_src.cc:2:20: error: Python.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'Py_Initialize' was not declared in this scope<br>.tmp_src.cc:6: error: 'PY_VERSION' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;Python.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Py_Initialize();<br>&nbsp; printf('found version %s', PY_VERSION);<br>#if PY_VERSION_HEX &gt;= 0x02030000<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.3 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/include/python2.3 /usr/lib64/libpython2.3.so<br>g++: /usr/lib64/libpython2.3.so: No such file or directory<br>.tmp_src.cc:2:20: error: Python.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'Py_Initialize' was not declared in this scope<br>.tmp_src.cc:6: error: 'PY_VERSION' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;Python.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Py_Initialize();<br>&nbsp; printf('found version %s', PY_VERSION);<br>#if PY_VERSION_HEX &gt;= 0x02030000<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.3 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/include/python2.3 /usr/lib/64/libpython2.3.so<br>g++: /usr/lib/64/libpython2.3.so: No such file or directory<br>.tmp_src.cc:2:20: error: Python.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'Py_Initialize' was not declared in this scope<br>.tmp_src.cc:6: error: 'PY_VERSION' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;Python.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Py_Initialize();<br>&nbsp; printf('found version %s', PY_VERSION);<br>#if PY_VERSION_HEX &gt;= 0x02030000<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.3 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/include/python2.3 /usr/lib/libpython2.3.so<br>g++: /usr/lib/libpython2.3.so: No such file or directory<br>.tmp_src.cc:2:20: error: Python.h: No such file or directory<br>.tmp_src.cc: In function 'int main()':<br>.tmp_src.cc:5: error: 'Py_Initialize' was not declared in this scope<br>.tmp_src.cc:6: error: 'PY_VERSION' was not declared in this scope<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;Python.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Py_Initialize();<br>&nbsp; printf('found version %s', PY_VERSION);<br>#if PY_VERSION_HEX &gt;= 0x02030000<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.3 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/local/include/python2.5 /usr/local/lib64/libpython2.5.so<br>g++: /usr/local/lib64/libpython2.5.so: No such file or directory<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;Python.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Py_Initialize();<br>&nbsp; printf('found version %s', PY_VERSION);<br>#if PY_VERSION_HEX &gt;= 0x02030000<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.3 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/local/include/python2.5 /usr/local/lib/64/libpython2.5.so<br>g++: /usr/local/lib/64/libpython2.5.so: No such file or directory<br>compiling the following source file:<br>#include &lt;cstdio&gt;<br>#include &lt;Python.h&gt;<br>extern 'C' int main(void)<br>{<br>&nbsp; Py_Initialize();<br>&nbsp; printf('found version %s', PY_VERSION);<br>#if PY_VERSION_HEX &gt;= 0x02030000<br>&nbsp; printf(', OK.\n');<br>&nbsp; return 0;<br>#else<br>&nbsp; printf(', expected version 2.3 or higher\n');<br>&nbsp; return 1;<br>#endif<br>}<br>using the following command line:<br>g++ -O -Wall -o .tmp_out .tmp_src.cc -I/usr/local/include/python2.5 /usr/local/lib/libpython2.5.so<br>executing the binary<br>found version 2.5.2, OK.<br><br>'<br><br /><hr />Want to do more with Windows Live? Learn “10 hidden secrets” from Jamie. <a href='http://windowslive.com/connect/post/jamiethomson.spaces.live.com-Blog-cns!550F681DAD532637!5295.entry?ocid=TXT_TAGLM_WL_domore_092008' target='_new'>Learn Now</a></body>
</html>